Skip to main content
`Ctrl`+`K`

# VecDestroyVecs

Frees a block of vectors obtained with `VecDuplicateVecs()`.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecDestroyVecs(PetscInt m, Vec *vv[])

Collective

## Input Parameters

- m - the number of vectors previously obtained, if zero no vectors are destroyed

- vv - pointer to pointer to array of vector pointers, if `NULL` no vectors are destroyed

## See Also

Vectors and Parallel Data, `Vec`, PETSc for Fortran Users, `VecDuplicateVecs()`, `VecDestroyVecsf90()`

## Level

intermediate

## Location

src/vec/vec/interface/vector.c

## Examples

src/tao/pde_constrained/tutorials/hyperbolic.c
src/vec/vec/tutorials/ex20f90.F90
src/vec/vec/tutorials/ex1f90.F90
src/ksp/ksp/tutorials/ex49.c
src/tao/pde_constrained/tutorials/parabolic.c
src/vec/vec/tutorials/ex19.c
src/vec/vec/tutorials/ex1.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages